Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as cloudflare from "@pulumi/cloudflare";
const exampleZeroTrustAccessInfrastructureTargets = cloudflare.getZeroTrustAccessInfrastructureTargets({
accountId: "023e105f4ecef8ad9ca31a8372d0c353",
createdAfter: "2019-12-27T18:11:19.117Z",
createdBefore: "2019-12-27T18:11:19.117Z",
direction: "asc",
hostname: "hostname",
hostnameContains: "hostname_contains",
ipLike: "ip_like",
ipV4: "ip_v4",
ipV6: "ip_v6",
ips: ["string"],
ipv4End: "ipv4_end",
ipv4Start: "ipv4_start",
ipv6End: "ipv6_end",
ipv6Start: "ipv6_start",
modifiedAfter: "2019-12-27T18:11:19.117Z",
modifiedBefore: "2019-12-27T18:11:19.117Z",
order: "hostname",
targetIds: ["182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"],
virtualNetworkId: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
});
import pulumi
import pulumi_cloudflare as cloudflare
example_zero_trust_access_infrastructure_targets = cloudflare.get_zero_trust_access_infrastructure_targets(account_id="023e105f4ecef8ad9ca31a8372d0c353",
created_after="2019-12-27T18:11:19.117Z",
created_before="2019-12-27T18:11:19.117Z",
direction="asc",
hostname="hostname",
hostname_contains="hostname_contains",
ip_like="ip_like",
ip_v4="ip_v4",
ip_v6="ip_v6",
ips=["string"],
ipv4_end="ipv4_end",
ipv4_start="ipv4_start",
ipv6_end="ipv6_end",
ipv6_start="ipv6_start",
modified_after="2019-12-27T18:11:19.117Z",
modified_before="2019-12-27T18:11:19.117Z",
order="hostname",
target_ids=["182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"],
virtual_network_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
package main
import (
"github.com/pulumi/pulumi-cloudflare/sdk/v6/go/cloudflare"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := cloudflare.LookupZeroTrustAccessInfrastructureTargets(ctx, &cloudflare.LookupZeroTrustAccessInfrastructureTargetsArgs{
AccountId: "023e105f4ecef8ad9ca31a8372d0c353",
CreatedAfter: pulumi.StringRef("2019-12-27T18:11:19.117Z"),
CreatedBefore: pulumi.StringRef("2019-12-27T18:11:19.117Z"),
Direction: pulumi.StringRef("asc"),
Hostname: pulumi.StringRef("hostname"),
HostnameContains: pulumi.StringRef("hostname_contains"),
IpLike: pulumi.StringRef("ip_like"),
IpV4: pulumi.StringRef("ip_v4"),
IpV6: pulumi.StringRef("ip_v6"),
Ips: []string{
"string",
},
Ipv4End: pulumi.StringRef("ipv4_end"),
Ipv4Start: pulumi.StringRef("ipv4_start"),
Ipv6End: pulumi.StringRef("ipv6_end"),
Ipv6Start: pulumi.StringRef("ipv6_start"),
ModifiedAfter: pulumi.StringRef("2019-12-27T18:11:19.117Z"),
ModifiedBefore: pulumi.StringRef("2019-12-27T18:11:19.117Z"),
Order: pulumi.StringRef("hostname"),
TargetIds: []string{
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
VirtualNetworkId: pulumi.StringRef("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Cloudflare = Pulumi.Cloudflare;
return await Deployment.RunAsync(() =>
{
var exampleZeroTrustAccessInfrastructureTargets = Cloudflare.GetZeroTrustAccessInfrastructureTargets.Invoke(new()
{
AccountId = "023e105f4ecef8ad9ca31a8372d0c353",
CreatedAfter = "2019-12-27T18:11:19.117Z",
CreatedBefore = "2019-12-27T18:11:19.117Z",
Direction = "asc",
Hostname = "hostname",
HostnameContains = "hostname_contains",
IpLike = "ip_like",
IpV4 = "ip_v4",
IpV6 = "ip_v6",
Ips = new[]
{
"string",
},
Ipv4End = "ipv4_end",
Ipv4Start = "ipv4_start",
Ipv6End = "ipv6_end",
Ipv6Start = "ipv6_start",
ModifiedAfter = "2019-12-27T18:11:19.117Z",
ModifiedBefore = "2019-12-27T18:11:19.117Z",
Order = "hostname",
TargetIds = new[]
{
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
VirtualNetworkId = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.cloudflare.CloudflareFunctions;
import com.pulumi.cloudflare.inputs.GetZeroTrustAccessInfrastructureTargetsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var exampleZeroTrustAccessInfrastructureTargets = CloudflareFunctions.getZeroTrustAccessInfrastructureTargets(GetZeroTrustAccessInfrastructureTargetsArgs.builder()
.accountId("023e105f4ecef8ad9ca31a8372d0c353")
.createdAfter("2019-12-27T18:11:19.117Z")
.createdBefore("2019-12-27T18:11:19.117Z")
.direction("asc")
.hostname("hostname")
.hostnameContains("hostname_contains")
.ipLike("ip_like")
.ipV4("ip_v4")
.ipV6("ip_v6")
.ips("string")
.ipv4End("ipv4_end")
.ipv4Start("ipv4_start")
.ipv6End("ipv6_end")
.ipv6Start("ipv6_start")
.modifiedAfter("2019-12-27T18:11:19.117Z")
.modifiedBefore("2019-12-27T18:11:19.117Z")
.order("hostname")
.targetIds("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.virtualNetworkId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build());
}
}
variables:
exampleZeroTrustAccessInfrastructureTargets:
fn::invoke:
function: cloudflare:getZeroTrustAccessInfrastructureTargets
arguments:
accountId: 023e105f4ecef8ad9ca31a8372d0c353
createdAfter: 2019-12-27T18:11:19.117Z
createdBefore: 2019-12-27T18:11:19.117Z
direction: asc
hostname: hostname
hostnameContains: hostname_contains
ipLike: ip_like
ipV4: ip_v4
ipV6: ip_v6
ips:
- string
ipv4End: ipv4_end
ipv4Start: ipv4_start
ipv6End: ipv6_end
ipv6Start: ipv6_start
modifiedAfter: 2019-12-27T18:11:19.117Z
modifiedBefore: 2019-12-27T18:11:19.117Z
order: hostname
targetIds:
- 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
virtualNetworkId: 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
Using getZeroTrustAccessInfrastructureTargets
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getZeroTrustAccessInfrastructureTargets(args: GetZeroTrustAccessInfrastructureTargetsArgs, opts?: InvokeOptions): Promise<GetZeroTrustAccessInfrastructureTargetsResult>
function getZeroTrustAccessInfrastructureTargetsOutput(args: GetZeroTrustAccessInfrastructureTargetsOutputArgs, opts?: InvokeOptions): Output<GetZeroTrustAccessInfrastructureTargetsResult>def get_zero_trust_access_infrastructure_targets(account_id: Optional[str] = None,
created_after: Optional[str] = None,
created_before: Optional[str] = None,
direction: Optional[str] = None,
hostname: Optional[str] = None,
hostname_contains: Optional[str] = None,
ip_like: Optional[str] = None,
ip_v4: Optional[str] = None,
ip_v6: Optional[str] = None,
ips: Optional[Sequence[str]] = None,
ipv4_end: Optional[str] = None,
ipv4_start: Optional[str] = None,
ipv6_end: Optional[str] = None,
ipv6_start: Optional[str] = None,
max_items: Optional[int] = None,
modified_after: Optional[str] = None,
modified_before: Optional[str] = None,
order: Optional[str] = None,
target_ids: Optional[Sequence[str]] = None,
virtual_network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetZeroTrustAccessInfrastructureTargetsResult
def get_zero_trust_access_infrastructure_targets_output(account_id: Optional[pulumi.Input[str]] = None,
created_after: Optional[pulumi.Input[str]] = None,
created_before: Optional[pulumi.Input[str]] = None,
direction: Optional[pulumi.Input[str]] = None,
hostname: Optional[pulumi.Input[str]] = None,
hostname_contains: Optional[pulumi.Input[str]] = None,
ip_like: Optional[pulumi.Input[str]] = None,
ip_v4: Optional[pulumi.Input[str]] = None,
ip_v6: Optional[pulumi.Input[str]] = None,
ips: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
ipv4_end: Optional[pulumi.Input[str]] = None,
ipv4_start: Optional[pulumi.Input[str]] = None,
ipv6_end: Optional[pulumi.Input[str]] = None,
ipv6_start: Optional[pulumi.Input[str]] = None,
max_items: Optional[pulumi.Input[int]] = None,
modified_after: Optional[pulumi.Input[str]] = None,
modified_before: Optional[pulumi.Input[str]] = None,
order: Optional[pulumi.Input[str]] = None,
target_ids: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
virtual_network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetZeroTrustAccessInfrastructureTargetsResult]func LookupZeroTrustAccessInfrastructureTargets(ctx *Context, args *LookupZeroTrustAccessInfrastructureTargetsArgs, opts ...InvokeOption) (*LookupZeroTrustAccessInfrastructureTargetsResult, error)
func LookupZeroTrustAccessInfrastructureTargetsOutput(ctx *Context, args *LookupZeroTrustAccessInfrastructureTargetsOutputArgs, opts ...InvokeOption) LookupZeroTrustAccessInfrastructureTargetsResultOutput> Note: This function is named LookupZeroTrustAccessInfrastructureTargets in the Go SDK.
public static class GetZeroTrustAccessInfrastructureTargets
{
public static Task<GetZeroTrustAccessInfrastructureTargetsResult> InvokeAsync(GetZeroTrustAccessInfrastructureTargetsArgs args, InvokeOptions? opts = null)
public static Output<GetZeroTrustAccessInfrastructureTargetsResult> Invoke(GetZeroTrustAccessInfrastructureTargetsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetZeroTrustAccessInfrastructureTargetsResult> getZeroTrustAccessInfrastructureTargets(GetZeroTrustAccessInfrastructureTargetsArgs args, InvokeOptions options)
public static Output<GetZeroTrustAccessInfrastructureTargetsResult> getZeroTrustAccessInfrastructureTargets(GetZeroTrustAccessInfrastructureTargetsArgs args, InvokeOptions options)
fn::invoke:
function: cloudflare:index/getZeroTrustAccessInfrastructureTargets:getZeroTrustAccessInfrastructureTargets
arguments:
# arguments dictionaryThe following arguments are supported:
- Account
Id string - Account identifier
- Created
After string - Date and time at which the target was created after (inclusive)
- Created
Before string - Date and time at which the target was created before (inclusive)
- Direction string
- The sorting direction. Available values: "asc", "desc".
- Hostname string
- Hostname of a target
- Hostname
Contains string - Partial match to the hostname of a target
- Ip
Like string - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - Ip
V4 string - IPv4 address of the target
- Ip
V6 string - IPv6 address of the target
- Ips List<string>
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - Ipv4End string
- Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - Ipv4Start string
- Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - Ipv6End string
- Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - Ipv6Start string
- Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - Max
Items int - Max items to fetch, default: 1000
- Modified
After string - Date and time at which the target was modified after (inclusive)
- Modified
Before string - Date and time at which the target was modified before (inclusive)
- Order string
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- Target
Ids List<string> - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - Virtual
Network stringId - Private virtual network identifier of the target
- Account
Id string - Account identifier
- Created
After string - Date and time at which the target was created after (inclusive)
- Created
Before string - Date and time at which the target was created before (inclusive)
- Direction string
- The sorting direction. Available values: "asc", "desc".
- Hostname string
- Hostname of a target
- Hostname
Contains string - Partial match to the hostname of a target
- Ip
Like string - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - Ip
V4 string - IPv4 address of the target
- Ip
V6 string - IPv6 address of the target
- Ips []string
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - Ipv4End string
- Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - Ipv4Start string
- Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - Ipv6End string
- Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - Ipv6Start string
- Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - Max
Items int - Max items to fetch, default: 1000
- Modified
After string - Date and time at which the target was modified after (inclusive)
- Modified
Before string - Date and time at which the target was modified before (inclusive)
- Order string
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- Target
Ids []string - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - Virtual
Network stringId - Private virtual network identifier of the target
- account
Id String - Account identifier
- created
After String - Date and time at which the target was created after (inclusive)
- created
Before String - Date and time at which the target was created before (inclusive)
- direction String
- The sorting direction. Available values: "asc", "desc".
- hostname String
- Hostname of a target
- hostname
Contains String - Partial match to the hostname of a target
- ip
Like String - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - ip
V4 String - IPv4 address of the target
- ip
V6 String - IPv6 address of the target
- ips List<String>
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - ipv4End String
- Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - ipv4Start String
- Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - ipv6End String
- Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - ipv6Start String
- Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - max
Items Integer - Max items to fetch, default: 1000
- modified
After String - Date and time at which the target was modified after (inclusive)
- modified
Before String - Date and time at which the target was modified before (inclusive)
- order String
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- target
Ids List<String> - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - virtual
Network StringId - Private virtual network identifier of the target
- account
Id string - Account identifier
- created
After string - Date and time at which the target was created after (inclusive)
- created
Before string - Date and time at which the target was created before (inclusive)
- direction string
- The sorting direction. Available values: "asc", "desc".
- hostname string
- Hostname of a target
- hostname
Contains string - Partial match to the hostname of a target
- ip
Like string - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - ip
V4 string - IPv4 address of the target
- ip
V6 string - IPv6 address of the target
- ips string[]
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - ipv4End string
- Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - ipv4Start string
- Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - ipv6End string
- Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - ipv6Start string
- Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - max
Items number - Max items to fetch, default: 1000
- modified
After string - Date and time at which the target was modified after (inclusive)
- modified
Before string - Date and time at which the target was modified before (inclusive)
- order string
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- target
Ids string[] - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - virtual
Network stringId - Private virtual network identifier of the target
- account_
id str - Account identifier
- created_
after str - Date and time at which the target was created after (inclusive)
- created_
before str - Date and time at which the target was created before (inclusive)
- direction str
- The sorting direction. Available values: "asc", "desc".
- hostname str
- Hostname of a target
- hostname_
contains str - Partial match to the hostname of a target
- ip_
like str - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - ip_
v4 str - IPv4 address of the target
- ip_
v6 str - IPv6 address of the target
- ips Sequence[str]
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - ipv4_
end str - Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - ipv4_
start str - Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - ipv6_
end str - Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - ipv6_
start str - Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - max_
items int - Max items to fetch, default: 1000
- modified_
after str - Date and time at which the target was modified after (inclusive)
- modified_
before str - Date and time at which the target was modified before (inclusive)
- order str
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- target_
ids Sequence[str] - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - virtual_
network_ strid - Private virtual network identifier of the target
- account
Id String - Account identifier
- created
After String - Date and time at which the target was created after (inclusive)
- created
Before String - Date and time at which the target was created before (inclusive)
- direction String
- The sorting direction. Available values: "asc", "desc".
- hostname String
- Hostname of a target
- hostname
Contains String - Partial match to the hostname of a target
- ip
Like String - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - ip
V4 String - IPv4 address of the target
- ip
V6 String - IPv6 address of the target
- ips List<String>
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - ipv4End String
- Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - ipv4Start String
- Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - ipv6End String
- Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - ipv6Start String
- Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - max
Items Number - Max items to fetch, default: 1000
- modified
After String - Date and time at which the target was modified after (inclusive)
- modified
Before String - Date and time at which the target was modified before (inclusive)
- order String
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- target
Ids List<String> - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - virtual
Network StringId - Private virtual network identifier of the target
getZeroTrustAccessInfrastructureTargets Result
The following output properties are available:
- Account
Id string - Account identifier
- Id string
- The provider-assigned unique ID for this managed resource.
- Results
List<Get
Zero Trust Access Infrastructure Targets Result> - The items returned by the data source
- Created
After string - Date and time at which the target was created after (inclusive)
- Created
Before string - Date and time at which the target was created before (inclusive)
- Direction string
- The sorting direction. Available values: "asc", "desc".
- Hostname string
- Hostname of a target
- Hostname
Contains string - Partial match to the hostname of a target
- Ip
Like string - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - Ip
V4 string - IPv4 address of the target
- Ip
V6 string - IPv6 address of the target
- Ips List<string>
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - Ipv4End string
- Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - Ipv4Start string
- Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - Ipv6End string
- Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - Ipv6Start string
- Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - Max
Items int - Max items to fetch, default: 1000
- Modified
After string - Date and time at which the target was modified after (inclusive)
- Modified
Before string - Date and time at which the target was modified before (inclusive)
- Order string
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- Target
Ids List<string> - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - Virtual
Network stringId - Private virtual network identifier of the target
- Account
Id string - Account identifier
- Id string
- The provider-assigned unique ID for this managed resource.
- Results
[]Get
Zero Trust Access Infrastructure Targets Result - The items returned by the data source
- Created
After string - Date and time at which the target was created after (inclusive)
- Created
Before string - Date and time at which the target was created before (inclusive)
- Direction string
- The sorting direction. Available values: "asc", "desc".
- Hostname string
- Hostname of a target
- Hostname
Contains string - Partial match to the hostname of a target
- Ip
Like string - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - Ip
V4 string - IPv4 address of the target
- Ip
V6 string - IPv6 address of the target
- Ips []string
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - Ipv4End string
- Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - Ipv4Start string
- Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - Ipv6End string
- Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - Ipv6Start string
- Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - Max
Items int - Max items to fetch, default: 1000
- Modified
After string - Date and time at which the target was modified after (inclusive)
- Modified
Before string - Date and time at which the target was modified before (inclusive)
- Order string
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- Target
Ids []string - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - Virtual
Network stringId - Private virtual network identifier of the target
- account
Id String - Account identifier
- id String
- The provider-assigned unique ID for this managed resource.
- results
List<Get
Zero Trust Access Infrastructure Targets Result> - The items returned by the data source
- created
After String - Date and time at which the target was created after (inclusive)
- created
Before String - Date and time at which the target was created before (inclusive)
- direction String
- The sorting direction. Available values: "asc", "desc".
- hostname String
- Hostname of a target
- hostname
Contains String - Partial match to the hostname of a target
- ip
Like String - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - ip
V4 String - IPv4 address of the target
- ip
V6 String - IPv6 address of the target
- ips List<String>
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - ipv4End String
- Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - ipv4Start String
- Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - ipv6End String
- Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - ipv6Start String
- Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - max
Items Integer - Max items to fetch, default: 1000
- modified
After String - Date and time at which the target was modified after (inclusive)
- modified
Before String - Date and time at which the target was modified before (inclusive)
- order String
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- target
Ids List<String> - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - virtual
Network StringId - Private virtual network identifier of the target
- account
Id string - Account identifier
- id string
- The provider-assigned unique ID for this managed resource.
- results
Get
Zero Trust Access Infrastructure Targets Result[] - The items returned by the data source
- created
After string - Date and time at which the target was created after (inclusive)
- created
Before string - Date and time at which the target was created before (inclusive)
- direction string
- The sorting direction. Available values: "asc", "desc".
- hostname string
- Hostname of a target
- hostname
Contains string - Partial match to the hostname of a target
- ip
Like string - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - ip
V4 string - IPv4 address of the target
- ip
V6 string - IPv6 address of the target
- ips string[]
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - ipv4End string
- Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - ipv4Start string
- Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - ipv6End string
- Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - ipv6Start string
- Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - max
Items number - Max items to fetch, default: 1000
- modified
After string - Date and time at which the target was modified after (inclusive)
- modified
Before string - Date and time at which the target was modified before (inclusive)
- order string
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- target
Ids string[] - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - virtual
Network stringId - Private virtual network identifier of the target
- account_
id str - Account identifier
- id str
- The provider-assigned unique ID for this managed resource.
- results
Sequence[Get
Zero Trust Access Infrastructure Targets Result] - The items returned by the data source
- created_
after str - Date and time at which the target was created after (inclusive)
- created_
before str - Date and time at which the target was created before (inclusive)
- direction str
- The sorting direction. Available values: "asc", "desc".
- hostname str
- Hostname of a target
- hostname_
contains str - Partial match to the hostname of a target
- ip_
like str - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - ip_
v4 str - IPv4 address of the target
- ip_
v6 str - IPv6 address of the target
- ips Sequence[str]
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - ipv4_
end str - Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - ipv4_
start str - Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - ipv6_
end str - Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - ipv6_
start str - Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - max_
items int - Max items to fetch, default: 1000
- modified_
after str - Date and time at which the target was modified after (inclusive)
- modified_
before str - Date and time at which the target was modified before (inclusive)
- order str
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- target_
ids Sequence[str] - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - virtual_
network_ strid - Private virtual network identifier of the target
- account
Id String - Account identifier
- id String
- The provider-assigned unique ID for this managed resource.
- results List<Property Map>
- The items returned by the data source
- created
After String - Date and time at which the target was created after (inclusive)
- created
Before String - Date and time at which the target was created before (inclusive)
- direction String
- The sorting direction. Available values: "asc", "desc".
- hostname String
- Hostname of a target
- hostname
Contains String - Partial match to the hostname of a target
- ip
Like String - Filters for targets whose IP addresses look like the specified string.
Supports
*as a wildcard character - ip
V4 String - IPv4 address of the target
- ip
V6 String - IPv6 address of the target
- ips List<String>
- Filters for targets that have any of the following IP addresses. Specify
ipsmultiple times in query parameter to build list of candidates. - ipv4End String
- Defines an IPv4 filter range's ending value (inclusive). Requires
ipv4_startto be specified as well. - ipv4Start String
- Defines an IPv4 filter range's starting value (inclusive). Requires
ipv4_endto be specified as well. - ipv6End String
- Defines an IPv6 filter range's ending value (inclusive). Requires
ipv6_startto be specified as well. - ipv6Start String
- Defines an IPv6 filter range's starting value (inclusive). Requires
ipv6_endto be specified as well. - max
Items Number - Max items to fetch, default: 1000
- modified
After String - Date and time at which the target was modified after (inclusive)
- modified
Before String - Date and time at which the target was modified before (inclusive)
- order String
- The field to sort by. Available values: "hostname", <span pulumi-lang-nodejs=""createdAt"" pulumi-lang-dotnet=""CreatedAt"" pulumi-lang-go=""createdAt"" pulumi-lang-python=""created_at"" pulumi-lang-yaml=""createdAt"" pulumi-lang-java=""createdAt"">"created_at".
- target
Ids List<String> - Filters for targets that have any of the following UUIDs. Specify
target_idsmultiple times in query parameter to build list of candidates. - virtual
Network StringId - Private virtual network identifier of the target
Supporting Types
GetZeroTrustAccessInfrastructureTargetsResult
- Created
At string - Date and time at which the target was created
- Hostname string
- A non-unique field that refers to a target
- Id string
- Target identifier
- Ip
Get
Zero Trust Access Infrastructure Targets Result Ip - The IPv4/IPv6 address that identifies where to reach a target
- Modified
At string - Date and time at which the target was modified
- Created
At string - Date and time at which the target was created
- Hostname string
- A non-unique field that refers to a target
- Id string
- Target identifier
- Ip
Get
Zero Trust Access Infrastructure Targets Result Ip - The IPv4/IPv6 address that identifies where to reach a target
- Modified
At string - Date and time at which the target was modified
- created
At String - Date and time at which the target was created
- hostname String
- A non-unique field that refers to a target
- id String
- Target identifier
- ip
Get
Zero Trust Access Infrastructure Targets Result Ip - The IPv4/IPv6 address that identifies where to reach a target
- modified
At String - Date and time at which the target was modified
- created
At string - Date and time at which the target was created
- hostname string
- A non-unique field that refers to a target
- id string
- Target identifier
- ip
Get
Zero Trust Access Infrastructure Targets Result Ip - The IPv4/IPv6 address that identifies where to reach a target
- modified
At string - Date and time at which the target was modified
- created_
at str - Date and time at which the target was created
- hostname str
- A non-unique field that refers to a target
- id str
- Target identifier
- ip
Get
Zero Trust Access Infrastructure Targets Result Ip - The IPv4/IPv6 address that identifies where to reach a target
- modified_
at str - Date and time at which the target was modified
- created
At String - Date and time at which the target was created
- hostname String
- A non-unique field that refers to a target
- id String
- Target identifier
- ip Property Map
- The IPv4/IPv6 address that identifies where to reach a target
- modified
At String - Date and time at which the target was modified
GetZeroTrustAccessInfrastructureTargetsResultIp
- Ipv4
Get
Zero Trust Access Infrastructure Targets Result Ip Ipv4 - The target's IPv4 address
- Ipv6
Get
Zero Trust Access Infrastructure Targets Result Ip Ipv6 - The target's IPv6 address
- Ipv4
Get
Zero Trust Access Infrastructure Targets Result Ip Ipv4 - The target's IPv4 address
- Ipv6
Get
Zero Trust Access Infrastructure Targets Result Ip Ipv6 - The target's IPv6 address
- ipv4
Get
Zero Trust Access Infrastructure Targets Result Ip Ipv4 - The target's IPv4 address
- ipv6
Get
Zero Trust Access Infrastructure Targets Result Ip Ipv6 - The target's IPv6 address
- ipv4
Get
Zero Trust Access Infrastructure Targets Result Ip Ipv4 - The target's IPv4 address
- ipv6
Get
Zero Trust Access Infrastructure Targets Result Ip Ipv6 - The target's IPv6 address
- ipv4
Get
Zero Trust Access Infrastructure Targets Result Ip Ipv4 - The target's IPv4 address
- ipv6
Get
Zero Trust Access Infrastructure Targets Result Ip Ipv6 - The target's IPv6 address
- ipv4 Property Map
- The target's IPv4 address
- ipv6 Property Map
- The target's IPv6 address
GetZeroTrustAccessInfrastructureTargetsResultIpIpv4
- Ip
Addr string - IP address of the target
- Virtual
Network stringId - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
- Ip
Addr string - IP address of the target
- Virtual
Network stringId - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
- ip
Addr String - IP address of the target
- virtual
Network StringId - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
- ip
Addr string - IP address of the target
- virtual
Network stringId - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
- ip_
addr str - IP address of the target
- virtual_
network_ strid - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
- ip
Addr String - IP address of the target
- virtual
Network StringId - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
GetZeroTrustAccessInfrastructureTargetsResultIpIpv6
- Ip
Addr string - IP address of the target
- Virtual
Network stringId - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
- Ip
Addr string - IP address of the target
- Virtual
Network stringId - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
- ip
Addr String - IP address of the target
- virtual
Network StringId - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
- ip
Addr string - IP address of the target
- virtual
Network stringId - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
- ip_
addr str - IP address of the target
- virtual_
network_ strid - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
- ip
Addr String - IP address of the target
- virtual
Network StringId - (optional) Private virtual network identifier for the target. If omitted, the default virtual network ID will be used.
Package Details
- Repository
- Cloudflare pulumi/pulumi-cloudflare
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
cloudflareTerraform Provider.
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
